BLT extensions with BeOpen Python 2.0 
Author Message
 BLT extensions with BeOpen Python 2.0

I've been trying to install the BLT extensions for Tk into my BeOpen
distribution of python 2.0.  However, it seems that the directory
structure that the BLT distribution expects (see www.tcltk.com/blt) is
different to that provided by the python distribution.

Has anyone succeeded in installing BLT with the distribution, or do I need
to switch distributions?  (and to which one?)

Thanks,

Martyn

--------------------------------------------------------
Dr. Martyn Quick  (Research Fellow in Pure Mathematics)
University of Birmingham, Edgbaston, Birmingham, UK.
http://www.*-*-*.com/



Mon, 15 Sep 2003 20:03:15 GMT  
 BLT extensions with BeOpen Python 2.0

Quote:

> I've been trying to install the BLT extensions for Tk into my BeOpen
> distribution of Python 2.0.  However, it seems that the directory
> structure that the BLT distribution expects (see www.tcltk.com/blt) is
> different to that provided by the python distribution.

> Has anyone succeeded in installing BLT with the distribution, or do I need
> to switch distributions?  (and to which one?)

I'm pretty sure I had BLT working with BeOpen 2.0 at some point, at least
on linux, and perhaps windows too.  I couldn't tell you exactly where I
put it, though.  Make sure you have the right BLT version for the tcl that
comes with python 2.0 .

John



Tue, 16 Sep 2003 01:35:10 GMT  
 BLT extensions with BeOpen Python 2.0

Quote:


> > I've been trying to install the BLT extensions for Tk into my BeOpen
> > distribution of Python 2.0.  However, it seems that the directory
> > structure that the BLT distribution expects (see www.tcltk.com/blt) is
> > different to that provided by the python distribution.

> > Has anyone succeeded in installing BLT with the distribution, or do I need
> > to switch distributions?  (and to which one?)

> I'm pretty sure I had BLT working with BeOpen 2.0 at some point, at least
> on linux, and perhaps windows too.  I couldn't tell you exactly where I
> put it, though.  Make sure you have the right BLT version for the tcl that
> comes with python 2.0 .

This reply has pointed out to me that I ought to say what platform I was
using.  I'm running on Windows 95, so downloaded the precompiled version
of BLT for Tcl8.3 (which is the version in BeOpen 2.0).

Martyn

--------------------------------------------------------
Dr. Martyn Quick  (Research Fellow in Pure Mathematics)
University of Birmingham, Edgbaston, Birmingham, UK.
http://www.mat.bham.ac.uk/M.R.Quick



Tue, 16 Sep 2003 17:50:54 GMT  
 BLT extensions with BeOpen Python 2.0

Quote:

> I've been trying to install the BLT extensions for Tk into my BeOpen
> distribution of Python 2.0.  However, it seems that the directory
> structure that the BLT distribution expects (see www.tcltk.com/blt) is
> different to that provided by the python distribution.

I had a similar problem (trying to see BLT from Pmw under Win98,
BeOpen2.0 Python), and a solution provided by Gordon Lightfoot fixed it
for me:

install the BLT 2.4 directory (with the pkgIndex.tcl file) into the
\Python20\tcl\tcl8.3 tree (so that the path to the pkgIndex.tcl looks
like
    \Python20\tcl\tcl8.3\blt2.4

Good Luck,

Norman

 =================================================
 Dr. Norman Charnley
 Department of Earth Sciences
 University of Oxford
 Oxford OX1 3PR, UK.

 Telephone:
 +44 1865 272053 (Office)
 +44 1865 272009/283741 (SEM/Electron Microprobe Labs)
 +44 1865 282131 (Microsims Ion Probe Lab.)

 Fax: +44 1865 272072
==================================================



Tue, 16 Sep 2003 22:46:51 GMT  
 
 [ 4 post ] 

 Relevant Pages 

1. BeOpen 2.0 vs ActiveState?

2. BeOpen 2.0 vs ActiveState?

3. Pmw.Blt and python 2.0/2.1

4. Help getting BLT extension working with python/tkinter on linux

5. JPE 2.0 The Java-Python Extension

6. ANN: mx Extension Series for Python 2.0

7. : Crash using Python 2.0 Extension

8. Python 1.5.2/2.0 C extension type differences

9. Problems building C extension for Python 2.0

10. ANN: mx Extension Series for Python 2.0

11. Problem compiling Python 2.0 extension under Win32

12. JPE 2.0 The Java-Python Extension

 

 
Powered by phpBB® Forum Software